import { promisify } from 'node:util'
import { exec as _exec } from 'node:child_process'

const exec = promisify(_exec)

export const Cargo = Object.freeze({
    init: path => exec(`cargo new ${path}`),
    add: lib => exec(`cargo add ${lib}`)
})

